from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class TextContentAnchorType(IntEnum):
    AT_PARAGRAPH = auto()
    AS_CHARACTER = auto()
    AT_PAGE = auto()
    AT_FRAME = auto()
    AT_CHARACTER = auto()
